#include "multiplanedirector.h"

#include "volumerepository.h"

// per la finestra que obrim com a resultat
#include "qwidgetvolume.h"

// per tenir accs a l'aplication window 
#include "qapplicationmainwindow.h"

// per debug
#include <iostream.h>


namespace udg {

MultiplaneDirector::MultiplaneDirector(udg::QApplicationMainWindow* app, QObject *parent, const char *name):Director(app, parent, name)
{
    m_applicationWindow = app;
}


MultiplaneDirector::~MultiplaneDirector()
{
}


void MultiplaneDirector::execute()
{
    QWidgetVolume* imagePlanes = new QWidgetVolume();
    imagePlanes->setVolume( m_volume );
    m_applicationWindow->addWorkingAreaWidget( imagePlanes, tr("3D Image Planes"));
    imagePlanes->show();
}


/// Li indiquem el volum a visualitzar
void MultiplaneDirector::setVolume( Volume* inputImage )
{
    m_volume=inputImage;
}


}; //end namespace udg
