/***************************************************************************
 *   Copyright (C) 2005 by Grup de Grfics de Girona                       *
 *   http://iiia.udg.es/GGG/index.html?langu=uk                            *
 *                                                                         *
 *   Universitat de Girona                                                 *
 ***************************************************************************/
#ifndef QAXISVIEWER_H
#define QAXISVIEWER_H

#include "qaxisviewerbase.h"
#include "qsimplesliceviewer.h"

namespace udg{

class Volume;

/**
    Aquest widget visualitza les tres vistes d'un volum ( Axial, Coronal, Sagital ).
    Aquesta s la nova versi que fa servir el qsimplesliceview.
    
    @author Grups de Grfics Girona (GGG)
*/

class QAxisViewer : public QAxisViewerBase
{
  Q_OBJECT
  
public:
    QAxisViewer(QWidget *parent = 0, const char *name = 0, WFlags fl = 0);

    ~QAxisViewer();
    
    /**
        Assigna el volum a visualitzar
    */
    void setInputImage(Volume* newImageData);


};

}; // end namespace udg

#endif
