/***************************************************************************
 *   Copyright (C) 2005 by Grup de Grfics de Girona                       *
 *   http://iiia.udg.es/GGG/index.html?langu=uk                            *
 *                                                                         *
 *   Universitat de Girona                                                 *
 ***************************************************************************/

#include <qworkingarea.h>

namespace udg{

QWorkingArea::QWorkingArea(QWidget *parent, const char *name)
    :QWorkspace(parent, name)
{
    m_policyType = TILE;
    this->setScrollBarsEnabled(true);
}

QWorkingArea::~QWorkingArea()
{
}

void QWorkingArea::setResizePolicy(ResizePolicyType p)
{
    m_policyType = p;	
}

void QWorkingArea::resizeChilds()
{
    switch (m_policyType)
    {
        case TILE:
            this->tile();
            break;
        case CASCADE:
            this->cascade();
            break;
    }
}

void QWorkingArea::resizeEvent( QResizeEvent* e)
{
    this->resizeChilds();
}

};
