#include "viewresultsraycastingwidget.h"

namespace udg {

ViewResultsRayCastingWidget::ViewResultsRayCastingWidget(QWidget *parent, const char *name)
 : ViewResultsRayCastingWidgetBase(parent, name)
{
}


ViewResultsRayCastingWidget::~ViewResultsRayCastingWidget()
{
}

void ViewResultsRayCastingWidget::rayCasting(vtkVolume* volume,vtkVolumeRayCastMapper* mapper)
{
    this->m_view->rayCasting(volume,mapper);
}


void ViewResultsRayCastingWidget::rayCasting(Volume* inputImage,QColor rgb)
{
    this->m_view->rayCasting(inputImage,rgb);
}

void ViewResultsRayCastingWidget::slotOn()
{
    this->m_view->setBoxOn();
}

void ViewResultsRayCastingWidget::slotOff()
{
    this->m_view->setBoxOff();
}

};
