#ifndef UDGVIEWRESULTSRAYCASTINGWIDGET_H
#define UDGVIEWRESULTSRAYCASTINGWIDGET_H

#include "viewresultsraycastingwidgetbase.h"
#include "vtkVolume.h"
#include "vtkVolumeRayCastMapper.h"
#include "qsimple3dviewer.h"

namespace udg {

class Volume;

/**
@author Grup de Grfics de Girona  ( GGG )
*/
class ViewResultsRayCastingWidget : public ViewResultsRayCastingWidgetBase
{
Q_OBJECT
public:
    ViewResultsRayCastingWidget(QWidget *parent = 0, const char *name = 0);

    ~ViewResultsRayCastingWidget();

    void rayCasting(vtkVolume* volume,vtkVolumeRayCastMapper* mapper);

    ///Representa per pantalla el volum de Ray Casting. Utilitzat per la visualitzaci 3D dels resultats.
    void rayCasting(Volume* inputImage,QColor rgb);

public slots:

    virtual void slotOn();
    virtual void slotOff();
};

};

#endif
