# Fitxer generat pel gestor de qmake de kdevelop. 
# ------------------------------------------- 
# Subdirectori relatiu al directori principal del projecte: ./src/main
# L'objectiu s una aplicaci??:  ../../bin/visualpork

TEMPLATE = app
CONFIG += debug \
warn_on
TARGET = ../../bin/visualpork
OBJECTS_DIR = ../../tmp/obj
UI_DIR = ../../tmp/ui
MOC_DIR = ../../tmp/moc
INCLUDEPATH = ../main \
../filters \
../colour \
../tools \
../inputoutput \
../visualization \
../registration \
../segmentation \
../interface \
../repositories
LIBS += ../interface/libinterface.a \
../repositories/librepositories.a \
../inputoutput/libinputoutput.a \
../filters/libfilters.a \
../colour/libcolour.a \
../tools/libtools.a \
../visualization/libvisualization.a \
../registration/libregistration.a \
../segmentation/libsegmentation.a
TARGETDEPS += ../interface/libinterface.a \
../repositories/librepositories.a \
../inputoutput/libinputoutput.a \
../filters/libfilters.a \
../colour/libcolour.a \
../tools/libtools.a \
../visualization/libvisualization.a \
../registration/libregistration.a \
../segmentation/libsegmentation.a
SOURCES += main.cpp 
IMAGES += images/icon.png \
          images/new.png \
          images/open.png \
          images/save.png \
          images/cut.png \
          images/copy.png \
          images/paste.png \
          images/delete.png \
          images/find.png \
          images/gotocell.png \ 
		  images/airbrush.png \
		  images/debug.png \
		  images/exit.png \
		  images/fileclose.png \
		  images/find.png \
		  images/view_left_right.png \
		  images/view_top_bottom.png \
		  images/window_new.png 
		  
include(../vtk.inc)
include(../itk.inc)
