#ifndef UDGMULTIPLANEINPUTPARAMETERSFORM_H
#define UDGMULTIPLANEINPUTPARAMETERSFORM_H

#include "multiplaneinputparametersformbase.h"

namespace udg {

/**
@author Grup de Grfics de Girona  ( GGG )
*/
class MultiplaneInputParametersForm : public MultiplaneInputParametersFormBase
{
Q_OBJECT
public:
    MultiplaneInputParametersForm(QWidget *parent = 0, const char *name = 0);

    ~MultiplaneInputParametersForm();

    ///Mtode per comprovar que els parmetres siguin correctes
    bool correctParameters();

public slots:    
    /**
        Aquests sn els slots virtuals que heredem i que hem d'implementar
    */
    void readParameter(int index);    
    
    void writeAllParameters();

};

};

#endif
