/***************************************************************************
 *   Copyright (C) 2005 by Grup de Grfics de Girona                       *
 *   http://iiia.udg.es/GGG/index.html?langu=uk                            *
 *                                                                         *
 *   Universitat de Girona                                                 *
 ***************************************************************************/
#include "qworkingareawindow.h"

//include's propis
#include "qworkingareawidget.h"

namespace udg {


QWorkingAreaWindow::QWorkingAreaWindow( QWidget* parent, const char* name )
    :QMainWindow( parent, name, Qt::WDestructiveClose )
{
    if (!name)
        this->setName(QString("QWorkingAreaWindow") + parent->name());
}

QWorkingAreaWindow::~QWorkingAreaWindow()
{
}

void QWorkingAreaWindow::setWidget( QWorkingAreaWidget* widget )
{
    widget->reparent( this, widget->geometry().topLeft() );
    
    this->setCentralWidget( widget );
    
    this->setFocusProxy( widget );
}

};
